Taxids 4 endpoints

GET /v1/tax_ids

Returns a list of tax IDs.

operationId: GetTaxIds

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

owner query optional object

The account or customer the tax ID belongs to. Defaults to owner[type]=self.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/tax_ids
POST /v1/tax_ids

Creates a new account or customer tax_id object.

operationId: PostTaxIds

Request Body

required
application/x-www-form-urlencoded
Property Type Required
type string required
owner object optional
type string required
account string optional
customer string optional
customer_account string optional
value string required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/tax_ids
DELETE /v1/tax_ids/{id}

Deletes an existing account or customer tax_id object.

operationId: DeleteTaxIdsId

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/tax_ids/{id}
GET /v1/tax_ids/{id}

Retrieves an account or customer tax_id object.

operationId: GetTaxIdsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/tax_ids/{id}

Taxrates 4 endpoints

GET /v1/tax_rates

Returns a list of your tax rates. Tax rates are returned sorted by creation date, with the most recently created tax rates appearing first.

operationId: GetTaxRates

Parameters

Name In Required Type Description
active query optional boolean

Optional flag to filter by tax rates that are either active or inactive (archived).

created query optional

Optional range for filtering created date.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

inclusive query optional boolean

Optional flag to filter by tax rates that are inclusive (or those that are not inclusive).

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/tax_rates
POST /v1/tax_rates

Creates a new tax rate.

operationId: PostTaxRates

Request Body

required
application/x-www-form-urlencoded
Property Type Required
state string optional
active boolean optional
expand array optional
country string optional
metadata object optional
tax_type string optional
inclusive boolean required
percentage number required
description string optional
display_name string required
jurisdiction string optional

Responses

default

Error response.

200

Successful response.

POST /v1/tax_rates
GET /v1/tax_rates/{tax_rate}

Retrieves a tax rate with the given ID

operationId: GetTaxRatesTaxRate

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

tax_rate path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/tax_rates/{tax_rate}
POST /v1/tax_rates/{tax_rate}

Updates an existing tax rate.

operationId: PostTaxRatesTaxRate

Parameters

Name In Required Type Description
tax_rate path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
state string optional
active boolean optional
expand array optional
country string optional
metadata object optional
tax_type string optional
description string optional
display_name string optional
jurisdiction string optional

Responses

default

Error response.

200

Successful response.

POST /v1/tax_rates/{tax_rate}

Terminal 26 endpoints

GET /v1/terminal/configurations

Returns a list of Configuration objects.

operationId: GetTerminalConfigurations

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

is_account_default query optional boolean

if present, only return the account default or non-default configurations.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/terminal/configurations
POST /v1/terminal/configurations

Creates a new Configuration object.

operationId: PostTerminalConfigurations

Request Body

application/x-www-form-urlencoded
Property Type Required
name string optional
wifi object optional
expand array optional
offline object optional
tipping object optional
cellular object optional
stripe_s700 object optional
splashscreen object optional
stripe_s710 object optional
splashscreen object optional
reboot_window object optional
end_hour integer required
start_hour integer required
verifone_p400 object optional
splashscreen object optional
bbpos_wisepad3 object optional
splashscreen object optional
bbpos_wisepos_e object optional
splashscreen object optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/configurations
DELETE /v1/terminal/configurations/{configuration}

Deletes a Configuration object.

operationId: DeleteTerminalConfigurationsConfiguration

Parameters

Name In Required Type Description
configuration path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/terminal/configurations/{configuration}
GET /v1/terminal/configurations/{configuration}

Retrieves a Configuration object.

operationId: GetTerminalConfigurationsConfiguration

Parameters

Name In Required Type Description
configuration path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/terminal/configurations/{configuration}
POST /v1/terminal/configurations/{configuration}

Updates a new Configuration object.

operationId: PostTerminalConfigurationsConfiguration

Parameters

Name In Required Type Description
configuration path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
name string optional
wifi object optional
expand array optional
offline object optional
tipping object optional
cellular object optional
stripe_s700 object optional
stripe_s710 object optional
reboot_window object optional
verifone_p400 object optional
bbpos_wisepad3 object optional
bbpos_wisepos_e object optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/configurations/{configuration}
POST /v1/terminal/connection_tokens

To connect to a reader the Stripe Terminal SDK needs to retrieve a short-lived connection token from Stripe, proxied through your server. On your backend, add an endpoint that creates and returns a connection token.

operationId: PostTerminalConnectionTokens

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
location string optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/connection_tokens
GET /v1/terminal/locations

Returns a list of Location objects.

operationId: GetTerminalLocations

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/terminal/locations
POST /v1/terminal/locations

Creates a new Location object. For further details, including which address fields are required in each country, see the Manage locations guide.

operationId: PostTerminalLocations

Request Body

application/x-www-form-urlencoded
Property Type Required
phone string optional
expand array optional
address object optional
city string optional
line1 string optional
line2 string optional
state string optional
country string required
postal_code string optional
metadata object optional
address_kana object optional
city string optional
town string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
display_name string optional
address_kanji object optional
city string optional
town string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
display_name_kana string optional
display_name_kanji string optional
configuration_overrides string optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/locations
DELETE /v1/terminal/locations/{location}

Deletes a Location object.

operationId: DeleteTerminalLocationsLocation

Parameters

Name In Required Type Description
location path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/terminal/locations/{location}
GET /v1/terminal/locations/{location}

Retrieves a Location object.

operationId: GetTerminalLocationsLocation

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

location path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/terminal/locations/{location}
POST /v1/terminal/locations/{location}

Updates a Location object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

operationId: PostTerminalLocationsLocation

Parameters

Name In Required Type Description
location path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
phone object optional
expand array optional
address object optional
city string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
metadata object optional
address_kana object optional
city string optional
town string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
display_name object optional
address_kanji object optional
city string optional
town string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
display_name_kana object optional
display_name_kanji object optional
configuration_overrides object optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/locations/{location}
POST /v1/terminal/onboarding_links

Creates a new OnboardingLink object that contains a redirect_url used for onboarding onto Tap to Pay on iPhone.

operationId: PostTerminalOnboardingLinks

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
link_type string required
link_options object required
apple_terms_and_conditions object optional
allow_relinking boolean optional
merchant_display_name string required
on_behalf_of string optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/onboarding_links
GET /v1/terminal/readers

Returns a list of Reader objects.

operationId: GetTerminalReaders

Parameters

Name In Required Type Description
device_type query optional string

Filters readers by device type

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

location query optional string

A location ID to filter the response list to only readers at the specific location

serial_number query optional string

Filters readers by serial number

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

A status filter to filter readers to only offline or online readers

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/terminal/readers
POST /v1/terminal/readers

Creates a new Reader object.

operationId: PostTerminalReaders

Request Body

required
application/x-www-form-urlencoded
Property Type Required
label string optional
expand array optional
location string optional
metadata object optional
registration_code string required

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers
DELETE /v1/terminal/readers/{reader}

Deletes a Reader object.

operationId: DeleteTerminalReadersReader

Parameters

Name In Required Type Description
reader path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/terminal/readers/{reader}
GET /v1/terminal/readers/{reader}

Retrieves a Reader object.

operationId: GetTerminalReadersReader

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

reader path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/terminal/readers/{reader}
POST /v1/terminal/readers/{reader}

Updates a Reader object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

operationId: PostTerminalReadersReader

Parameters

Name In Required Type Description
reader path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
label object optional
expand array optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}
POST /v1/terminal/readers/{reader}/cancel_action

Cancels the current reader action. See Programmatic Cancellation for more details.

operationId: PostTerminalReadersReaderCancelAction

Parameters

Name In Required Type Description
reader path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}/cancel_action
POST /v1/terminal/readers/{reader}/collect_inputs

Initiates an input collection flow on a Reader to display input forms and collect information from your customers.

operationId: PostTerminalReadersReaderCollectInputs

Parameters

Name In Required Type Description
reader path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
inputs array required
type string required
toggles array optional
title string optional
description string optional
default_value string optional
required boolean optional
selection object optional
choices array required
id string required
text string required
style string optional
custom_text object required
title string required
description string optional
skip_button string optional
submit_button string optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}/collect_inputs
POST /v1/terminal/readers/{reader}/collect_payment_method

Initiates a payment flow on a Reader and updates the PaymentIntent with card details before manual confirmation. See Collecting a Payment method for more details.

operationId: PostTerminalReadersReaderCollectPaymentMethod

Parameters

Name In Required Type Description
reader path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
collect_config object optional
tipping object optional
amount_eligible integer optional
skip_tipping boolean optional
allow_redisplay string optional
enable_customer_cancellation boolean optional
payment_intent string required

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}/collect_payment_method
POST /v1/terminal/readers/{reader}/confirm_payment_intent

Finalizes a payment on a Reader. See Confirming a Payment for more details.

operationId: PostTerminalReadersReaderConfirmPaymentIntent

Parameters

Name In Required Type Description
reader path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
confirm_config object optional
return_url string optional
payment_intent string required

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}/confirm_payment_intent
POST /v1/terminal/readers/{reader}/process_payment_intent

Initiates a payment flow on a Reader. See process the payment for more details.

operationId: PostTerminalReadersReaderProcessPaymentIntent

Parameters

Name In Required Type Description
reader path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
payment_intent string required
process_config object optional
tipping object optional
amount_eligible integer optional
return_url string optional
skip_tipping boolean optional
allow_redisplay string optional
enable_customer_cancellation boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}/process_payment_intent
POST /v1/terminal/readers/{reader}/process_setup_intent

Initiates a SetupIntent flow on a Reader. See Save directly without charging for more details.

operationId: PostTerminalReadersReaderProcessSetupIntent

Parameters

Name In Required Type Description
reader path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
setup_intent string required
process_config object optional
enable_customer_cancellation boolean optional
allow_redisplay string required

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}/process_setup_intent
POST /v1/terminal/readers/{reader}/refund_payment

Initiates an in-person refund on a Reader. See Refund an Interac Payment for more details.

operationId: PostTerminalReadersReaderRefundPayment

Parameters

Name In Required Type Description
reader path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
charge string optional
expand array optional
metadata object optional
payment_intent string optional
reverse_transfer boolean optional
refund_payment_config object optional
enable_customer_cancellation boolean optional
refund_application_fee boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}/refund_payment
POST /v1/terminal/readers/{reader}/set_reader_display

Sets the reader display to show cart details.

operationId: PostTerminalReadersReaderSetReaderDisplay

Parameters

Name In Required Type Description
reader path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
cart object optional
tax integer optional
total integer required
currency string required
line_items array required
amount integer required
quantity integer required
description string required
type string required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/readers/{reader}/set_reader_display
POST /v1/terminal/refunds

Internal endpoint for terminal use to create a refund for a card_present charge. This endpoint only supports card_present payment method types (excludes interac_present).

You can optionally refund only part of a charge.

operationId: PostTerminalRefunds

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
charge string optional
expand array optional
reason string optional
metadata object optional
payment_intent string optional
reverse_transfer boolean optional
refund_application_fee boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/terminal/refunds

Testhelpers 16 endpoints

POST /v1/test_helpers/confirmation_tokens

Creates a test mode Confirmation Token server side for your integration tests.

operationId: PostTestHelpersConfirmationTokens

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
shipping object optional
name string required
phone object optional
address object required
city string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
return_url string optional
payment_method string optional
setup_future_usage string optional
payment_method_data object optional
eps object optional
bank string optional
fpx object optional
bank string required
p24 object optional
bank string optional
pix object optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
zip object optional
alma object optional
blik object optional
link object optional
oxxo object optional
type string required
ideal object optional
bank string optional
payco object optional
payto object optional
pay_id string optional
bsb_number string optional
account_number string optional
swish object optional
twint object optional
affirm object optional
alipay object optional
billie object optional
boleto object optional
tax_id string required
…37 more object optional
payment_method_options object optional
card object optional
installments object optional
plan object required

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/confirmation_tokens
POST /v1/test_helpers/customers/{customer}/fund_cash_balance

Create an incoming testmode bank transfer

operationId: PostTestHelpersCustomersCustomerFundCashBalance

Parameters

Name In Required Type Description
customer path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
amount integer required
expand array optional
currency string required
reference string optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/customers/{customer}/fund_cash_balance
POST /v1/test_helpers/issuing/authorizations

Create a test-mode authorization.

operationId: PostTestHelpersIssuingAuthorizations

Request Body

required
application/x-www-form-urlencoded
Property Type Required
card string required
fuel object optional
type string optional
unit string optional
quantity_decimal string optional
unit_cost_decimal string optional
industry_product_code string optional
fleet object optional
service_type string optional
purchase_type string optional
reported_breakdown object optional
tax object optional
local_amount_decimal string optional
national_amount_decimal string optional
fuel object optional
gross_amount_decimal string optional
non_fuel object optional
gross_amount_decimal string optional
cardholder_prompt_data object optional
user_id string optional
odometer integer optional
driver_id string optional
unspecified_id string optional
vehicle_number string optional
amount integer optional
expand array optional
wallet string optional
currency string optional
network_data object optional
acquiring_institution_id string optional
merchant_data object optional
url string optional
city string optional
name string optional
state string optional
country string optional
category string optional
network_id string optional
postal_code string optional
terminal_id string optional
amount_details object optional
atm_fee integer optional
cashback_amount integer optional
merchant_amount integer optional
risk_assessment object optional
fraud_risk object optional
level string required
score number optional
card_testing_risk object optional
level string required
invalid_credentials_decline_rate_past_hour integer optional
invalid_account_number_decline_rate_past_hour integer optional
merchant_dispute_risk object optional
level string required
dispute_rate integer optional
merchant_currency string optional
verification_data object optional
cvc_check string optional
expiry_check string optional
three_d_secure object optional
result string required
address_line1_check string optional
authentication_exemption object optional
type string required
claimed_by string required
address_postal_code_check string optional
authorization_method string optional
is_amount_controllable boolean optional
fraud_disputability_likelihood string optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/authorizations
POST /v1/test_helpers/issuing/authorizations/{authorization}/capture

Capture a test-mode authorization.

operationId: PostTestHelpersIssuingAuthorizationsAuthorizationCapture

Parameters

Name In Required Type Description
authorization path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
capture_amount integer optional
purchase_details object optional
fuel object optional
type string optional
unit string optional
quantity_decimal string optional
unit_cost_decimal string optional
industry_product_code string optional
fleet object optional
service_type string optional
purchase_type string optional
reported_breakdown object optional
tax object optional
fuel object optional
non_fuel object optional
cardholder_prompt_data object optional
user_id string optional
odometer integer optional
driver_id string optional
unspecified_id string optional
vehicle_number string optional
flight object optional
segments array optional
carrier string optional
flight_number string optional
service_class string optional
stopover_allowed boolean optional
arrival_airport_code string optional
departure_airport_code string optional
refundable boolean optional
departure_at integer optional
travel_agency string optional
passenger_name string optional
lodging object optional
nights integer optional
check_in_at integer optional
receipt array optional
total integer optional
quantity string optional
unit_cost integer optional
description string optional
reference string optional
close_authorization boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/authorizations/{authorization}/capture
POST /v1/test_helpers/issuing/authorizations/{authorization}/expire

Expire a test-mode Authorization.

operationId: PostTestHelpersIssuingAuthorizationsAuthorizationExpire

Parameters

Name In Required Type Description
authorization path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/authorizations/{authorization}/expire
POST /v1/test_helpers/issuing/authorizations/{authorization}/finalize_amount

Finalize the amount on an Authorization prior to capture, when the initial authorization was for an estimated amount.

operationId: PostTestHelpersIssuingAuthorizationsAuthorizationFinalizeAmount

Parameters

Name In Required Type Description
authorization path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
fuel object optional
type string optional
unit string optional
quantity_decimal string optional
unit_cost_decimal string optional
industry_product_code string optional
fleet object optional
service_type string optional
purchase_type string optional
reported_breakdown object optional
tax object optional
local_amount_decimal string optional
national_amount_decimal string optional
fuel object optional
gross_amount_decimal string optional
non_fuel object optional
gross_amount_decimal string optional
cardholder_prompt_data object optional
user_id string optional
odometer integer optional
driver_id string optional
unspecified_id string optional
vehicle_number string optional
expand array optional
final_amount integer required

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/authorizations/{authorization}/finalize_amount
POST /v1/test_helpers/issuing/authorizations/{authorization}/fraud_challenges/respond

Respond to a fraud challenge on a testmode Issuing authorization, simulating either a confirmation of fraud or a correction of legitimacy.

operationId: PostTestHelpersIssuingAuthorizationsAuthorizationFraudChallengesRespond

Parameters

Name In Required Type Description
authorization path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
confirmed boolean required

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/authorizations/{authorization}/fraud_challenges/respond
POST /v1/test_helpers/issuing/authorizations/{authorization}/increment

Increment a test-mode Authorization.

operationId: PostTestHelpersIssuingAuthorizationsAuthorizationIncrement

Parameters

Name In Required Type Description
authorization path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
increment_amount integer required
is_amount_controllable boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/authorizations/{authorization}/increment
POST /v1/test_helpers/issuing/authorizations/{authorization}/reverse

Reverse a test-mode Authorization.

operationId: PostTestHelpersIssuingAuthorizationsAuthorizationReverse

Parameters

Name In Required Type Description
authorization path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
reverse_amount integer optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/authorizations/{authorization}/reverse
POST /v1/test_helpers/issuing/cards/{card}/shipping/deliver

Updates the shipping status of the specified Issuing Card object to delivered.

operationId: PostTestHelpersIssuingCardsCardShippingDeliver

Parameters

Name In Required Type Description
card path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/cards/{card}/shipping/deliver
POST /v1/test_helpers/issuing/cards/{card}/shipping/fail

Updates the shipping status of the specified Issuing Card object to failure.

operationId: PostTestHelpersIssuingCardsCardShippingFail

Parameters

Name In Required Type Description
card path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/cards/{card}/shipping/fail
POST /v1/test_helpers/issuing/cards/{card}/shipping/return

Updates the shipping status of the specified Issuing Card object to returned.

operationId: PostTestHelpersIssuingCardsCardShippingReturn

Parameters

Name In Required Type Description
card path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/cards/{card}/shipping/return
POST /v1/test_helpers/issuing/cards/{card}/shipping/ship

Updates the shipping status of the specified Issuing Card object to shipped.

operationId: PostTestHelpersIssuingCardsCardShippingShip

Parameters

Name In Required Type Description
card path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/cards/{card}/shipping/ship
POST /v1/test_helpers/issuing/cards/{card}/shipping/submit

Updates the shipping status of the specified Issuing Card object to submitted. This method requires Stripe Version ‘2024-09-30.acacia’ or later.

operationId: PostTestHelpersIssuingCardsCardShippingSubmit

Parameters

Name In Required Type Description
card path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/cards/{card}/shipping/submit
POST /v1/test_helpers/issuing/personalization_designs/{personalization_design}/activate

Updates the status of the specified testmode personalization design object to active.

operationId: PostTestHelpersIssuingPersonalizationDesignsPersonalizationDesignActivate

Parameters

Name In Required Type Description
personalization_design path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/personalization_designs/{personalization_design}/activate
POST /v1/test_helpers/issuing/personalization_designs/{personalization_design}/deactivate

Updates the status of the specified testmode personalization design object to inactive.

operationId: PostTestHelpersIssuingPersonalizationDesignsPersonalizationDesignDeactivate

Parameters

Name In Required Type Description
personalization_design path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/test_helpers/issuing/personalization_designs/{personalization_design}/deactivate
Load more endpoints